import SambaNova from 'sambanova';const client = new SambaNova({ apiKey: process.env['SAMBANOVA_API_KEY'], // This is the default and can be omitted});const completion = await client.chat.completions.create({ messages: [{ content: 'create a poem using palindromes', role: 'user' }], model: 'gpt-oss-120b',});console.log(completion);
import os
from sambanova import SambaNova
client = SambaNova(
api_key=os.environ.get("SAMBANOVA_API_KEY"), # This is the default and can be omitted
)
for completion in client.chat.completions.create(
messages=[{
"content": "create a poem using palindromes",
"role": "user",
}],
model="gpt-oss-120b",
):
print(completion)
{ "choices": [ { "finish_reason": "stop", "index": 0, "message": { "content": "In madam moon's silver glow, Aha, a palindrome to know, Radar spins, a circular tale, Level heads prevail, without fail. A man, a plan, a canal, Panama! Able was I ere I saw Elba, A Santa at NASA, a curious sight, Do geese see God, in the pale moonlight? Mr. Owl ate my metal worm, Do nine men interpret? Nine men, I nod, Never odd or even, a palindrome's might, Madam, in Eden, I'm Adam. Aibohphobia, a fear to confess, A palindrome's symmetry, I must address, Refer, a word that reads the same, A palindrome's beauty, in its circular game. In the stillness of the night, Ava, a palindrome, shining bright, Hannah, a name that reads the same, A palindrome's magic, in its circular flame. Note: Please keep in mind that creating a poem using palindromes can be a challenging task, and the resulting poem may not be as cohesive or flowing as one that doesn't rely on palindromes. However, I hope you enjoy the attempt!", "role": "assistant" } } ], "created": 1737583288.6076705, "id": "83a7809d-e18f-44f9-9ab7-2bc494c6c661", "model": "gpt-oss-120b", "object": "chat.completion", "system_fingerprint": "fastcoe", "usage": { "acceptance_rate": 4.058139324188232, "completion_tokens": 350, "completion_tokens_after_first_per_sec": 248.09314856382406, "completion_tokens_after_first_per_sec_first_ten": 249.67922929952655, "completion_tokens_per_sec": 238.91966176995348, "end_time": 1737583289.7345645, "is_last_response": true, "prompt_tokens": 43, "start_time": 1737583288.264706, "time_to_first_token": 0.06312894821166992, "total_latency": 1.4649275719174653, "total_tokens": 393, "total_tokens_per_sec": 268.27264878740493 }}
Chat completions
Create chat-based completion
POST
/
chat
/
completions
JavaScript
import SambaNova from 'sambanova';const client = new SambaNova({ apiKey: process.env['SAMBANOVA_API_KEY'], // This is the default and can be omitted});const completion = await client.chat.completions.create({ messages: [{ content: 'create a poem using palindromes', role: 'user' }], model: 'gpt-oss-120b',});console.log(completion);
import os
from sambanova import SambaNova
client = SambaNova(
api_key=os.environ.get("SAMBANOVA_API_KEY"), # This is the default and can be omitted
)
for completion in client.chat.completions.create(
messages=[{
"content": "create a poem using palindromes",
"role": "user",
}],
model="gpt-oss-120b",
):
print(completion)
{ "choices": [ { "finish_reason": "stop", "index": 0, "message": { "content": "In madam moon's silver glow, Aha, a palindrome to know, Radar spins, a circular tale, Level heads prevail, without fail. A man, a plan, a canal, Panama! Able was I ere I saw Elba, A Santa at NASA, a curious sight, Do geese see God, in the pale moonlight? Mr. Owl ate my metal worm, Do nine men interpret? Nine men, I nod, Never odd or even, a palindrome's might, Madam, in Eden, I'm Adam. Aibohphobia, a fear to confess, A palindrome's symmetry, I must address, Refer, a word that reads the same, A palindrome's beauty, in its circular game. In the stillness of the night, Ava, a palindrome, shining bright, Hannah, a name that reads the same, A palindrome's magic, in its circular flame. Note: Please keep in mind that creating a poem using palindromes can be a challenging task, and the resulting poem may not be as cohesive or flowing as one that doesn't rely on palindromes. However, I hope you enjoy the attempt!", "role": "assistant" } } ], "created": 1737583288.6076705, "id": "83a7809d-e18f-44f9-9ab7-2bc494c6c661", "model": "gpt-oss-120b", "object": "chat.completion", "system_fingerprint": "fastcoe", "usage": { "acceptance_rate": 4.058139324188232, "completion_tokens": 350, "completion_tokens_after_first_per_sec": 248.09314856382406, "completion_tokens_after_first_per_sec_first_ten": 249.67922929952655, "completion_tokens_per_sec": 238.91966176995348, "end_time": 1737583289.7345645, "is_last_response": true, "prompt_tokens": 43, "start_time": 1737583288.264706, "time_to_first_token": 0.06312894821166992, "total_latency": 1.4649275719174653, "total_tokens": 393, "total_tokens_per_sec": 268.27264878740493 }}
Authorizations
Authorization
string
header
required
SambaNova API key, sent as a bearer token in the Authorization header (Authorization: Bearer <key>). Default authentication scheme used by the SambaNova SDK across every OpenAI compatible endpoint.
Body
application/json
Chat prompt and parameters
chat completions request object. Unknown fields are rejected with a 400 (unknown_parameter) error.
model
stringenum<string>
required
The model ID to use (e.g. gpt-oss-120b). See available models
A list of messages comprising the conversation so far.
Minimum array length: 1
System Message
User Message
Assistant Message
Tool Message
Show child attributes
Example:
[ { "role": "user", "content": "create a poem using palindromes" } ]
max_tokens
integer | null
The maximum number of tokens that can be generated in the chat completion. The total length of input tokens and generated tokens is limited by the model's context length.
Example:
2048
max_completion_tokens
integer | null
The maximum number of tokens that can be generated in the chat completion. The total length of input tokens and generated tokens is limited by the model's context length.
Example:
2048
temperature
number | null
default:0.7
What sampling temperature to use, determines the degree of randomness in the response. between 0 and 2, Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic. Is recommended altering this, top_p or top_k but not more than one of these.
Required range: 0 <= x <= 2
Example:
0.7
top_p
number | null
Cumulative probability for token choices. An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered. Is recommended altering this, top_k or temperature but not more than one of these.
Required range: 0 <= x <= 1
Example:
1
top_k
integer | null
Amount limit of token choices. An alternative to sampling with temperature, the model considers the results of the first K tokens with higher probability. So 10 means only the first 10 tokens with higher probability are considered. Is recommended altering this, top_p or temperature but not more than one of these.
Required range: 1 <= x <= 100
Example:
5
presence_penalty
number | null
default:0
Number between -2.0 and 2.0. Positive values penalize new tokens based on whether they appear in the text so far, increasing the model's likelihood to talk about new topics. Not currently implemented; accepted for API compatibility
Required range: -2 <= x <= 2
frequency_penalty
number
default:0
Number between -2.0 and 2.0. Positive values penalize new tokens based on their existing frequency in the text so far, decreasing the model's likelihood to repeat the same line verbatim. Not currently implemented; accepted for API compatibility
Required range: -2 <= x <= 2
repetition_penalty
number | null
Penalizes repeated tokens. A value of 1.0 applies no penalty; values above 1.0 discourage repetition. Only supported for some models (currently MiniMax and gpt-oss models); silently ignored on models that do not support it.
Required range: 1 <= x <= 2
stop
stringstring[]
Sequences where the API will stop generating tokens. The returned text will not contain the stop sequence.
Example:
"\n"
stream
boolean | null
default:false
If set, partial message deltas will be sent. Tokens will be sent as data-only server-sent events as they become available, with the stream terminated by a data: [DONE] message.
stream_options
StreamOptions · object | null
Options for streaming response. Only set this when setting stream as true
Show child attributes
response_format
ResponseFormatJSONSchema · object
Specifies that the model should produce output conforming to a given JSON schema.
ResponseFormatJSONSchema
ResponseFormatJSONObject
ResponseFormatText
Show child attributes
Example:
{ "type": "json_schema", "json_schema": { "name": "User", "description": "JSON schema for a simple user object", "strict": false, "schema": { "type": "object", "properties": { "id": { "type": "string", "description": "Unique identifier for the user" }, "name": { "type": "string", "description": "Full name of the user" } }, "required": ["id", "name"] } } }
reasoning_effort
enum<string> | null
Value specifying the amount of reasoning the model is allowed to do, increasing it will increase the number of output reasoning tokens generated by the model, but will improve quality of the responses. allowed values are 'low', 'medium', 'high'
Available options:
low,
medium,
high
tool_choice
enum<string>ToolChoiceObject · object
Controls which (if any) tool is called by the model. none means the model will not call any tool and instead generates a message. auto means the model can pick between generating a message or calling one or more tools. required means the model must call one or more tools. Specifying a particular tool via {"type": "function", "function": {"name": "my_function"}} forces the model to call that tool.
Available options:
none,
auto,
required
parallel_tool_calls
boolean | null
Whether to enable parallel function calling during tool use.
tools
Tool · object[] | null
A list of tools the model may call. Use this to provide a list of functions the model may generate JSON inputs for.
Maximum array length: 128
Show child attributes
chat_template_kwargs
Chat Template Kwargs · object | null
A dictionary of additional keyword arguments to pass into the chat template. Use this to provide extra context or parameters that the model's chat template can process. Keys must be strings; values may be any valid JSON type.
Show child attributes
Example:
{ "enable_thinking": true }
logprobs
boolean | null
default:false
Whether to return log probabilities of the output tokens or not. If true, returns the log probabilities of each output token returned in the content of message.
top_logprobs
integer | null
An integer between 0 and 20 specifying the number of most likely tokens to return at each token position, each with an associated log probability. logprobs must be set to true if this parameter is used.
Required range: 0 <= x <= 20
n
integer | null
default:1
How many completions to generate for each prompt.
Note: Because this parameter generates many completions, it can quickly consume your token quota. Use carefully and ensure that you have reasonable settings for max_tokens.
Required range: 1 <= x <= 8
Example:
1
logit_bias
Logit Bias · object | null
Modify the likelihood of specified tokens appearing in the generation. Accepts a JSON object that maps tokens (specified by their token ID in the model tokenizer) to an associated bias value from -100 to 100. Mathematically, the bias is added to the logits generated by the model prior to sampling. Values between -1 and 1 should decrease or increase likelihood of selection; values like -100 or 100 should result in a ban or exclusive selection of the relevant token.
seed
integer | null
If specified, our system will make a best effort to sample deterministically, such that repeated requests with the same seed and parameters should return the same result.
Determinism is not guaranteed, and you should refer to the system_fingerprint response parameter to monitor changes in the backend.
Response
Successful Response, Returns a ChatCompletionResponse object (non-streaming), or a stream of server-sent ChatCompletionStreamResponse object events ending with a response.completed event (when stream: true).
Chat Completion Response
Chat Completion Stream Response
chat completion response returned by the model
choices
Chat Completion Choice · object[]
required
Minimum array length: 1
Show child attributes
created
number
required
The Unix timestamp (in seconds) of when the chat completion was created.
id
string
required
A unique identifier for the chat completion.
model
string
required
The model used for the chat completion.
object
enum<string>
required
The object type, always chat.completion.
Available options:
chat.completion
Allowed value: "chat.completion"
system_fingerprint
string
required
Backend configuration that the model runs with.
usage
Usage · object | null
required
Usage metrics for the completion, embeddings,transcription or translation request
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"SambaNova Documentation","colors":{"primary":"#974FC7","light":"#974FC7","dark":"#974FC7"},"logo":{"light":"https://mintcdn.com/sambanova-systems/SM8Xs_Eg3x1tlCPk/logo/new-logo.png?fit=max\u0026auto=format\u0026n=SM8Xs_Eg3x1tlCPk\u0026q=85\u0026s=20f20c2369b8f043d9b2ffa55408fd8d","dark":"https://mintcdn.com/sambanova-systems/Jn3W9iRFUNw6zFv7/logo/new-logo-dark.png?fit=max\u0026auto=format\u0026n=Jn3W9iRFUNw6zFv7\u0026q=85\u0026s=660233c9a1affaf1ed08785472551190","href":"https://sambanova.ai"},"favicon":"https://mintcdn.com/sambanova-systems/tKEjjixpklKce6C2/favicon.webp?fit=max\u0026auto=format\u0026n=tKEjjixpklKce6C2\u0026q=85\u0026s=f345bba634c9e3c52db898e169393d6b","api":{"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json","mdx":{"server":["https://api.sambanovacloud.com/"]}},"appearance":{"default":"system"},"background":{"color":{"light":"#f9fafb","dark":"#262626"}},"navbar":{"links":[{"href":"https://community.sambanova.ai","label":"Community"}],"primary":{"type":"button","label":"Try It Now","href":"https://cloud.sambanova.ai/?_gl=1*i3sino*_gcl_au*MzM0MDE5MzAwLjE3MjkwMTkyNzk.*_ga*MTk0NTY3NjQ1NC4xNzI5MDE5Mjg4*_ga_2D4J2VB6SX*MTcyOTA1ODE3OS4zLjAuMTcyOTA1ODE5Ni40My4wLjA."}},"footer":{"socials":{"youtube":"https://www.youtube.com/c/SambaNovaSystems/featured","x":"https://twitter.com/SambaNovaAI","linkedin":"https://www.linkedin.com/company/sambanova-systems"},"links":[{"header":"Company","items":[{"label":"About us","href":"https://sambanova.ai/company/about"},{"label":"Careers","href":"https://sambanova.ai/company/careers"},{"label":"Newsroom","href":"https://sambanova.ai/press"},{"label":"Contact us","href":"https://sambanova.ai/contact"}]},{"header":"Resources","items":[{"label":"Blog","href":"https://sambanova.ai/resources/tag/blog"},{"label":"Case studies","href":"https://sambanova.ai/resources/tag/case-study"},{"label":"White papers","href":"https://sambanova.ai/resources/tag/white-paper"},{"label":"Events","href":"https://sambanova.ai/events"}]},{"header":"Developers","items":[{"label":"SambaAcademy","href":"https://sambanova.ai/samba-academy"},{"label":"Pricing","href":"https://cloud.sambanova.ai/plans/pricing"}]},{"header":"Support and legal","items":[{"label":"Support","href":"https://sambanova.ai/support"},{"label":"Legal agreements","href":"https://sambanova.ai/legal-agreements"},{"label":"Privacy policy","href":"https://sambanova.ai/privacy-policy"}]}]},"seo":{"paths":[{"path":"en/v0.5.17","metatags":{"robots":"noindex, follow"}},{"path":"ja/v0.5.17","metatags":{"robots":"noindex, follow"}},{"path":"en/v1.0.57","metatags":{"robots":"noindex, follow"}},{"path":"ja/v1.0.57","metatags":{"robots":"noindex, follow"}},{"path":"en/v1.1.1","metatags":{"robots":"noindex, follow"}},{"path":"ja/v1.1.1","metatags":{"robots":"noindex, follow"}},{"path":"en/v1.2.0","metatags":{"robots":"noindex, follow"}},{"path":"ja/v1.2.0","metatags":{"robots":"noindex, follow"}},{"path":"en/v2.0.2","metatags":{"robots":"noindex, follow"}},{"path":"ja/v2.0.2","metatags":{"robots":"noindex, follow"}},{"path":"en/v2.1.1","metatags":{"robots":"noindex, follow"}},{"path":"ja/v2.1.1","metatags":{"robots":"noindex, follow"}},{"path":"en/v2.1.2","metatags":{"robots":"noindex, follow"}},{"path":"ja/v2.1.2","metatags":{"robots":"noindex, follow"}},{"path":"en/v2.2.3","metatags":{"robots":"noindex, follow"}},{"path":"ja/v2.2.3","metatags":{"robots":"noindex, follow"}},{"path":"en/v2.2.5","metatags":{"robots":"noindex, follow"}},{"path":"ja/v2.2.5","metatags":{"robots":"noindex, follow"}},{"path":"en/v2.2.6","metatags":{"robots":"noindex, follow"}},{"path":"ja/v2.2.6","metatags":{"robots":"noindex, follow"}}]},"styling":{"codeblocks":{},"latex":true},"integrations":{"ga4":{"measurementId":"G-J9NMQGJS7S"},"mixpanel":{"projectToken":"ae12e973ba11b9259ca8f76fc03db5e1"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"sambanova-systems","hasAudioNarration":false,"actualSubdomain":"sambanova-systems","customDomains":["docs.sambanova.ai"],"gitSource":{"type":"github","owner":"sambanova","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"edits":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af6ed60e90c1f4f013ea583","clientVersion":"0.0.4128","searchFilterCounts":[{"language":"en","tag":"SambaStack","count":593},{"language":"ja","tag":"SambaStack","count":526},{"language":"en","tag":"Hardware Administration","count":205},{"language":"en","tag":"Service Administration","count":203},{"language":"ja","tag":"ハードウェア管理","count":181},{"language":"ja","tag":"サービス管理","count":180},{"language":"en","tag":"SambaRack Manager","count":139},{"language":"ja","tag":"SambaRack Manager","count":121},{"language":"en","tag":"Model deployment","count":108},{"language":"ja","tag":"モデルデプロイ","count":92},{"language":"en","tag":"Integrations","count":81},{"language":"en","tag":"Reference Architecture","count":80},{"language":"ja","tag":"外部ツール連携","count":74},{"language":"en","tag":"Resources","count":73},{"language":"ja","tag":"リファレンスアーキテクチャ","count":70},{"language":"en","tag":"Monitoring and Observability","count":66},{"language":"ja","tag":"リソース","count":66},{"language":"ja","tag":"監視と可観測性","count":60},{"language":"en","tag":"Deploying models and bundles","count":42},{"language":"ja","tag":"プラットフォーム管理","count":35},{"language":"default","tag":"API reference","count":21},{"language":"default","tag":"Chat Agents API","count":11},{"language":"default","tag":"Inference API","count":10},{"language":"default","tag":"Subagents Interactive","count":4},{"language":"default","tag":"Subagents","count":4},{"language":"default","tag":"Audio","count":2},{"language":"default","tag":"Messages","count":2},{"language":"default","tag":"Models","count":2},{"language":"default","tag":"Chat completions","count":1},{"language":"default","tag":"Completions","count":1}]},"assistantConfig":{},"basePath":"/docs","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".logo-container{display:flex;align-items:center;justify-content:center;height:48px;margin-bottom:1rem}.logo-container img{max-width:100%;max-height:100%;width:auto;height:32px;object-fit:contain}.eyebrow{display:block;font-size:0.75rem;font-weight:500;text-transform:uppercase;color:#6B7280;margin-bottom:0.5rem;letter-spacing:0.05em}.page-description{display:none}.dark body,.dark p,.dark li,.dark td,.dark th,.dark h1,.dark h2,.dark h3,.dark h4,.dark h5,.dark h6{color:#E6E6E3}.dark [class*=\"muted\"],.dark [class*=\"secondary\"],.dark [class*=\"subtitle\"],.dark [class*=\"description\"]{color:#B3B3AE}.dark .card{background-color:#2e2e2e!important}#sidebar{background-color:#f3f4f6}.dark #sidebar{background-color:#202020}div:has(>#sidebar){padding-left:8px!important;padding-right:8px!important;margin-left:0!important;max-width:1680px!important}#content{max-width:880px!important}#navbar>.max-w-8xl{margin-left:0!important}#navbar div.lg\\:px-12{padding-left:24px!important}#navbar div.px-12{padding-left:24px!important}div:has(>#content-side-layout){gap:1.5rem!important}.prose p,.prose li,.prose>span,.prose .prose{font-size:14px!important;line-height:20px!important}#sidebar button svg{color:#4B5563!important;width:12px!important}.dark #sidebar button svg{color:#9CA3AF!important}#sidebar{border-right:1px solid rgba(0, 0, 0, 0.08)}.dark #sidebar{border-right:1px solid rgba(255, 255, 255, 0.08)}#sidebar button{justify-content:space-between!important}.itable{overflow-x:auto}.itable table{table-layout:fixed;width:100%}.itable th:first-child,.itable td:first-child{width:190px}@media (max-width: 640px){.itable table{table-layout:auto;width:auto;min-width:100%}.itable th:first-child,.itable td:first-child{width:auto}}.irow-hidden,.itable-hidden,.iheading-hidden{display:none}.integration-filter-input{display:block;width:100%;max-width:420px;font:inherit;font-size:14px;padding:10px 14px;border:1px solid rgba(0, 0, 0, 0.12);border-radius:8px;margin:4px 0 28px;background:transparent;color:inherit}.dark .integration-filter-input{border-color:rgba(255, 255, 255, 0.16)}"}],"page":{"pagePath":"api-reference/chat-completions/create-chat-based-completion","slug":"/api-reference/chat-completions/create-chat-based-completion","pageMetadata":{"title":"Create chat-based completion","description":null,"deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /chat/completions","href":"/api-reference/chat-completions/create-chat-based-completion","autogeneratedByOpenApi":true},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":{},"config":{},"pageMetadata":{"title":"Create chat-based completion","description":null,"deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /chat/completions","href":"/api-reference/chat-completions/create-chat-based-completion","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"createChatCompletion","tags":["Chat completions"],"summary":"Create chat-based completion","security":["110a9967-1c87-4f87-8b2b-394b463b0e75"],"requestBody":"e564532d-9d7c-4c72-94ac-dae29f681b24","responses":{"200":"0cb14971-3628-4f79-b895-66e19701c56f","400":"fd190b17-186f-483e-8c58-72d5ee29e7f2","401":"6bf0b53d-8d72-450b-ab90-8b3f72169136","404":"0edb0660-91c5-41db-8d76-677745691dd3","408":"b84d2c72-499c-4a60-8a90-52160777cb2a","410":"7dce4050-9cc3-4be2-9093-9c8988bf3b32","429":"a6ca67e1-b83a-44e3-a82d-6821e5bb9952","500":"96d0a76c-da43-4014-b9ed-bde47c415941","503":"dee50d91-a70d-4117-9a98-5f308378f02e"},"x-codeSamples":[{"lang":"JavaScript","source":"import SambaNova from 'sambanova';\n\nconst client = new SambaNova({\n apiKey: process.env['SAMBANOVA_API_KEY'], // This is the default and can be omitted\n});\n\nconst completion = await client.chat.completions.create({\n messages: [{ content: 'create a poem using palindromes', role: 'user' }],\n model: 'gpt-oss-120b',\n});\n\nconsole.log(completion);"},{"lang":"Python","source":"import os\nfrom sambanova import SambaNova\n\nclient = SambaNova(\n api_key=os.environ.get(\"SAMBANOVA_API_KEY\"), # This is the default and can be omitted\n)\nfor completion in client.chat.completions.create(\n messages=[{\n \"content\": \"create a poem using palindromes\",\n \"role\": \"user\",\n }],\n model=\"gpt-oss-120b\",\n):\n print(completion)"}],"method":"post","type":"path","servers":["b709db63-5fc4-4727-be6d-2a9dac334711"],"path":"/chat/completions","baseUrlOptions":["https://api.sambanova.ai/v1"],"title":"Create chat-based completion","description":"","codeSamples":[{"lang":"JavaScript","source":"import SambaNova from 'sambanova';\n\nconst client = new SambaNova({\n apiKey: process.env['SAMBANOVA_API_KEY'], // This is the default and can be omitted\n});\n\nconst completion = await client.chat.completions.create({\n messages: [{ content: 'create a poem using palindromes', role: 'user' }],\n model: 'gpt-oss-120b',\n});\n\nconsole.log(completion);"},{"lang":"Python","source":"import os\nfrom sambanova import SambaNova\n\nclient = SambaNova(\n api_key=os.environ.get(\"SAMBANOVA_API_KEY\"), # This is the default and can be omitted\n)\nfor completion in client.chat.completions.create(\n messages=[{\n \"content\": \"create a poem using palindromes\",\n \"role\": \"user\",\n }],\n model=\"gpt-oss-120b\",\n):\n print(completion)"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"title":"Chat Completion Request","type":"object","description":"chat completions request object. Unknown fields are rejected with a `400` (`unknown_parameter`) error.","additionalProperties":false,"properties":{"model":{"oneOf":[{"type":"string","title":"Model","description":"The model ID to use (e.g. gpt-oss-120b). See available [models](https://docs.sambanova.ai/docs/en/models/sambacloud-models)","isRequired":true,"uniqueKey":"model.oneOf.0","typeLabel":"string"},{"type":"string","title":"Model","description":"The model ID to use (e.g. gpt-oss-120b). See available [models](https://docs.sambanova.ai/docs/en/models/sambacloud-models)","enum":["DeepSeek-V3.1","DeepSeek-V3.2","Meta-Llama-3.3-70B-Instruct","MiniMax-M3","MiniMax-M3.1-Flash","gemma-4-31B-it","gpt-oss-120b"],"isRequired":true,"uniqueKey":"model.oneOf.1","typeLabel":"enum\u003cstring>"}],"isRequired":true,"uniqueKey":"model","typeLabel":"string | enum\u003cstring>"},"messages":{"title":"Messages","type":"array","description":"A list of messages comprising the conversation so far.","items":{"oneOf":[{"type":"object","title":"System Message","required":["role","content"],"properties":{"role":{"title":"Role","type":"string","description":"The role of the messages author, in this case `system`.","enum":["system"],"const":"system","isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.0.role","typeLabel":"enum\u003cstring>"},"content":{"oneOf":[{"type":"string","title":"Content","description":"The contents of the system message.","isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.0.content.oneOf.0","typeLabel":"string"},{"type":"array","items":{"title":"Text Content","type":"object","additionalProperties":true,"properties":{"type":{"title":"Type","type":"string","description":"type of content to send. in this case `text`.","enum":["text"],"const":"text","isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.0.content.oneOf.1.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"text":{"title":"Text","type":"string","description":"string content of the message","isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.0.content.oneOf.1.items.[INDEX].text","typeLabel":"string"}},"required":["type","text"],"uniqueKey":"messages.items.[INDEX].oneOf.0.content.oneOf.1.items.[INDEX]","typeLabel":"Text Content · object"},"title":"Text Content Part Array","description":"The contents of the system message.","isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.0.content.oneOf.1","typeLabel":"Text Content · object[]"},{"type":"null","isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.0.content.oneOf.2","typeLabel":"null"}],"isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.0.content","typeLabel":"string | Text Content · object[] | null"}},"additionalProperties":true,"uniqueKey":"messages.items.[INDEX].oneOf.0","typeLabel":"System Message · object"},{"type":"object","title":"User Message","required":["role","content"],"properties":{"role":{"title":"Role","type":"string","description":"The role of the messages author, in this case `user`.","enum":["user"],"const":"user","isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.1.role","typeLabel":"enum\u003cstring>"},"content":{"oneOf":[{"type":"string","title":"Content","description":"The contents of the user message.","isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.1.content.oneOf.0","typeLabel":"string"},{"type":"array","items":{"oneOf":[{"type":"object","title":"Text Content","required":["type","text"],"properties":{"type":{"title":"Type","type":"string","description":"type of content to send. in this case `text`.","enum":["text"],"const":"text","isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.1.content.oneOf.1.items.[INDEX].oneOf.0.type","typeLabel":"enum\u003cstring>"},"text":{"title":"Text","type":"string","description":"string content of the message","isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.1.content.oneOf.1.items.[INDEX].oneOf.0.text","typeLabel":"string"}},"additionalProperties":true,"uniqueKey":"messages.items.[INDEX].oneOf.1.content.oneOf.1.items.[INDEX].oneOf.0","typeLabel":"Text Content · object"},{"type":"object","title":"Image Content","required":["type","image_url"],"properties":{"type":{"title":"Type","type":"string","description":"type of content to send. in this case `image_url`.","enum":["image_url"],"const":"image_url","isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.1.content.oneOf.1.items.[INDEX].oneOf.1.type","typeLabel":"enum\u003cstring>"},"image_url":{"title":"Image Url","type":"object","properties":{"url":{"title":"Url","type":"string","description":"Either a URL of the image or the base64 encoded image data. currently only base64 encoded image supported","uniqueKey":"messages.items.[INDEX].oneOf.1.content.oneOf.1.items.[INDEX].oneOf.1.image_url.url","typeLabel":"string"}},"isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.1.content.oneOf.1.items.[INDEX].oneOf.1.image_url","typeLabel":"Image Url · object"}},"additionalProperties":true,"uniqueKey":"messages.items.[INDEX].oneOf.1.content.oneOf.1.items.[INDEX].oneOf.1","typeLabel":"Image Content · object"},{"type":"object","title":"Audio Content","required":["type","audio_content"],"properties":{"type":{"title":"Type","type":"string","description":"type of content to send. in this case `audio_content`.","enum":["audio_content"],"const":"audio_content","isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.1.content.oneOf.1.items.[INDEX].oneOf.2.type","typeLabel":"enum\u003cstring>"},"audio_content":{"title":"Audio Content","type":"object","properties":{"content":{"title":"Content","type":"string","description":"the base64 encoded audio data.","uniqueKey":"messages.items.[INDEX].oneOf.1.content.oneOf.1.items.[INDEX].oneOf.2.audio_content.content","typeLabel":"string"}},"isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.1.content.oneOf.1.items.[INDEX].oneOf.2.audio_content","typeLabel":"Audio Content · object"}},"additionalProperties":true,"uniqueKey":"messages.items.[INDEX].oneOf.1.content.oneOf.1.items.[INDEX].oneOf.2","typeLabel":"Audio Content · object"},{"type":"object","title":"Video Content","required":["type","video_url"],"properties":{"type":{"title":"Type","type":"string","description":"type of content to send. in this case `video_url`.","enum":["video_url"],"const":"video_url","isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.1.content.oneOf.1.items.[INDEX].oneOf.3.type","typeLabel":"enum\u003cstring>"},"video_url":{"title":"Video Url","type":"object","properties":{"url":{"title":"Url","type":"string","description":"Either a URL of the video or the base64 encoded video data.","uniqueKey":"messages.items.[INDEX].oneOf.1.content.oneOf.1.items.[INDEX].oneOf.3.video_url.url","typeLabel":"string"}},"isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.1.content.oneOf.1.items.[INDEX].oneOf.3.video_url","typeLabel":"Video Url · object"}},"additionalProperties":true,"uniqueKey":"messages.items.[INDEX].oneOf.1.content.oneOf.1.items.[INDEX].oneOf.3","typeLabel":"Video Content · object"}],"uniqueKey":"messages.items.[INDEX].oneOf.1.content.oneOf.1.items.[INDEX]","typeLabel":"Text Content · object | Image Content · object | Audio Content · object | Video Content · object"},"title":"Multicontent Part Array","description":"The contents of the user message.","isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.1.content.oneOf.1","typeLabel":"(Text Content · object | Image Content · object | Audio Content · object | Video Content · object)[]"},{"type":"null","isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.1.content.oneOf.2","typeLabel":"null"}],"isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.1.content","typeLabel":"string | (Text Content · object | Image Content · object | Audio Content · object | Video Content · object)[] | null"}},"additionalProperties":true,"uniqueKey":"messages.items.[INDEX].oneOf.1","typeLabel":"User Message · object"},{"type":"object","title":"Assistant Message","required":["role","content"],"properties":{"role":{"title":"Role","type":"string","description":"The role of the messages author, in this case `assistant`.","enum":["assistant"],"const":"assistant","isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.2.role","typeLabel":"enum\u003cstring>"},"content":{"oneOf":[{"type":"string","title":"Content","description":"The contents of the assistant message.","isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.2.content.oneOf.0","typeLabel":"string"},{"type":"array","items":{"title":"Text Content","type":"object","additionalProperties":true,"properties":{"type":{"title":"Type","type":"string","description":"type of content to send. in this case `text`.","enum":["text"],"const":"text","isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.2.content.oneOf.1.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"text":{"title":"Text","type":"string","description":"string content of the message","isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.2.content.oneOf.1.items.[INDEX].text","typeLabel":"string"}},"required":["type","text"],"uniqueKey":"messages.items.[INDEX].oneOf.2.content.oneOf.1.items.[INDEX]","typeLabel":"Text Content · object"},"title":"Text Content Part Array","description":"The contents of the assistant message.","isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.2.content.oneOf.1","typeLabel":"Text Content · object[]"},{"type":"null","isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.2.content.oneOf.2","typeLabel":"null"}],"isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.2.content","typeLabel":"string | Text Content · object[] | null"},"reasoning":{"oneOf":[{"title":"Reasoning","type":"string","description":"Reasoning (returned by reasoning models like gpt oss)","uniqueKey":"messages.items.[INDEX].oneOf.2.reasoning.oneOf.0","typeLabel":"string"},{"title":"Reasoning","type":"null","description":"Reasoning (returned by reasoning models like gpt oss)","uniqueKey":"messages.items.[INDEX].oneOf.2.reasoning.oneOf.1","typeLabel":"null"}],"uniqueKey":"messages.items.[INDEX].oneOf.2.reasoning","typeLabel":"string | null"},"channel":{"oneOf":[{"title":"Channel","type":"string","description":"Channel (returned by reasoning models like gpt oss)","uniqueKey":"messages.items.[INDEX].oneOf.2.channel.oneOf.0","typeLabel":"string"},{"title":"Channel","type":"null","description":"Channel (returned by reasoning models like gpt oss)","uniqueKey":"messages.items.[INDEX].oneOf.2.channel.oneOf.1","typeLabel":"null"}],"uniqueKey":"messages.items.[INDEX].oneOf.2.channel","typeLabel":"string | null"},"tool_calls":{"oneOf":[{"title":"Tool Calls","type":"array","items":{"title":"AssistantToolCall","type":"object","additionalProperties":true,"properties":{"function":{"title":"AssistantToolCallFunction","type":"object","description":"The tool that the model called.","additionalProperties":true,"properties":{"name":{"oneOf":[{"title":"Name","type":"string","description":"The name of the function to call.","uniqueKey":"messages.items.[INDEX].oneOf.2.tool_calls.oneOf.0.items.[INDEX].function.name.oneOf.0","typeLabel":"string"},{"title":"Name","type":"null","description":"The name of the function to call.","uniqueKey":"messages.items.[INDEX].oneOf.2.tool_calls.oneOf.0.items.[INDEX].function.name.oneOf.1","typeLabel":"null"}],"uniqueKey":"messages.items.[INDEX].oneOf.2.tool_calls.oneOf.0.items.[INDEX].function.name","typeLabel":"string | null"},"arguments":{"oneOf":[{"title":"Arguments","type":"string","description":"The arguments to call the function with, as generated by the model in JSON format. Note that the model does not always generate valid JSON, and may hallucinate parameters not defined by your function schema. Validate the arguments in your code before calling your function.","uniqueKey":"messages.items.[INDEX].oneOf.2.tool_calls.oneOf.0.items.[INDEX].function.arguments.oneOf.0","typeLabel":"string"},{"title":"Arguments","type":"null","description":"The arguments to call the function with, as generated by the model in JSON format. Note that the model does not always generate valid JSON, and may hallucinate parameters not defined by your function schema. Validate the arguments in your code before calling your function.","uniqueKey":"messages.items.[INDEX].oneOf.2.tool_calls.oneOf.0.items.[INDEX].function.arguments.oneOf.1","typeLabel":"null"}],"uniqueKey":"messages.items.[INDEX].oneOf.2.tool_calls.oneOf.0.items.[INDEX].function.arguments","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.2.tool_calls.oneOf.0.items.[INDEX].function","typeLabel":"AssistantToolCallFunction · object"},"id":{"oneOf":[{"title":"Id","type":"string","description":"ID of the tool call.","uniqueKey":"messages.items.[INDEX].oneOf.2.tool_calls.oneOf.0.items.[INDEX].id.oneOf.0","typeLabel":"string"},{"title":"Id","type":"null","description":"ID of the tool call.","uniqueKey":"messages.items.[INDEX].oneOf.2.tool_calls.oneOf.0.items.[INDEX].id.oneOf.1","typeLabel":"null"}],"uniqueKey":"messages.items.[INDEX].oneOf.2.tool_calls.oneOf.0.items.[INDEX].id","typeLabel":"string | null"},"type":{"oneOf":[{"title":"Type","type":"string","description":"type of the tool cal. only `function` is supported.","enum":["function"],"const":"function","uniqueKey":"messages.items.[INDEX].oneOf.2.tool_calls.oneOf.0.items.[INDEX].type.oneOf.0","typeLabel":"enum\u003cstring>"},{"title":"Type","type":"null","description":"type of the tool cal. only `function` is supported.","enum":["function"],"const":"function","uniqueKey":"messages.items.[INDEX].oneOf.2.tool_calls.oneOf.0.items.[INDEX].type.oneOf.1","typeLabel":"null"}],"uniqueKey":"messages.items.[INDEX].oneOf.2.tool_calls.oneOf.0.items.[INDEX].type","typeLabel":"enum\u003cstring> | null"},"index":{"oneOf":[{"title":"index","description":"index of tool call chunk only used when using streaming","type":"integer","uniqueKey":"messages.items.[INDEX].oneOf.2.tool_calls.oneOf.0.items.[INDEX].index.oneOf.0","typeLabel":"integer"},{"title":"index","description":"index of tool call chunk only used when using streaming","type":"null","uniqueKey":"messages.items.[INDEX].oneOf.2.tool_calls.oneOf.0.items.[INDEX].index.oneOf.1","typeLabel":"null"}],"uniqueKey":"messages.items.[INDEX].oneOf.2.tool_calls.oneOf.0.items.[INDEX].index","typeLabel":"integer | null"}},"required":["function"],"uniqueKey":"messages.items.[INDEX].oneOf.2.tool_calls.oneOf.0.items.[INDEX]","typeLabel":"AssistantToolCall · object"},"description":"The tool calls generated by the model.","uniqueKey":"messages.items.[INDEX].oneOf.2.tool_calls.oneOf.0","typeLabel":"AssistantToolCall · object[]"},{"title":"Tool Calls","type":"null","items":{"title":"AssistantToolCall","type":"object","additionalProperties":true,"properties":{"function":{"title":"AssistantToolCallFunction","type":"object","description":"The tool that the model called.","additionalProperties":true,"properties":{"name":{"oneOf":[{"title":"Name","type":"string","description":"The name of the function to call."},{"title":"Name","type":"null","description":"The name of the function to call."}]},"arguments":{"oneOf":[{"title":"Arguments","type":"string","description":"The arguments to call the function with, as generated by the model in JSON format. Note that the model does not always generate valid JSON, and may hallucinate parameters not defined by your function schema. Validate the arguments in your code before calling your function."},{"title":"Arguments","type":"null","description":"The arguments to call the function with, as generated by the model in JSON format. Note that the model does not always generate valid JSON, and may hallucinate parameters not defined by your function schema. Validate the arguments in your code before calling your function."}]}}},"id":{"oneOf":[{"title":"Id","type":"string","description":"ID of the tool call."},{"title":"Id","type":"null","description":"ID of the tool call."}]},"type":{"oneOf":[{"title":"Type","type":"string","description":"type of the tool cal. only `function` is supported.","enum":["function"],"const":"function"},{"title":"Type","type":"null","description":"type of the tool cal. only `function` is supported.","enum":["function"],"const":"function"}]},"index":{"oneOf":[{"title":"index","description":"index of tool call chunk only used when using streaming","type":"integer"},{"title":"index","description":"index of tool call chunk only used when using streaming","type":"null"}]}},"required":["function"]},"description":"The tool calls generated by the model.","uniqueKey":"messages.items.[INDEX].oneOf.2.tool_calls.oneOf.1","typeLabel":"null"}],"uniqueKey":"messages.items.[INDEX].oneOf.2.tool_calls","typeLabel":"AssistantToolCall · object[] | null"}},"additionalProperties":true,"uniqueKey":"messages.items.[INDEX].oneOf.2","typeLabel":"Assistant Message · object"},{"type":"object","title":"Tool Message","required":["content","role"],"properties":{"role":{"title":"Role","type":"string","description":"The role of the messages author, in this case `tool`.","enum":["tool"],"const":"tool","isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.3.role","typeLabel":"enum\u003cstring>"},"content":{"oneOf":[{"type":"string","title":"Content","description":"The contents of the tool message.","isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.3.content.oneOf.0","typeLabel":"string"},{"type":"array","items":{"title":"Text Content","type":"object","additionalProperties":true,"properties":{"type":{"title":"Type","type":"string","description":"type of content to send. in this case `text`.","enum":["text"],"const":"text","isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.3.content.oneOf.1.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"text":{"title":"Text","type":"string","description":"string content of the message","isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.3.content.oneOf.1.items.[INDEX].text","typeLabel":"string"}},"required":["type","text"],"uniqueKey":"messages.items.[INDEX].oneOf.3.content.oneOf.1.items.[INDEX]","typeLabel":"Text Content · object"},"title":"Text Content Part Array","description":"The contents of the tool message.","isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.3.content.oneOf.1","typeLabel":"Text Content · object[]"}],"isRequired":true,"uniqueKey":"messages.items.[INDEX].oneOf.3.content","typeLabel":"string | Text Content · object[]"}},"additionalProperties":true,"uniqueKey":"messages.items.[INDEX].oneOf.3","typeLabel":"Tool Message · object"}],"uniqueKey":"messages.items.[INDEX]","typeLabel":"System Message · object | User Message · object | Assistant Message · object | Tool Message · object"},"minItems":1,"examples":[[{"role":"user","content":"create a poem using palindromes"}]],"isRequired":true,"uniqueKey":"messages","typeLabel":"(System Message · object | User Message · object | Assistant Message · object | Tool Message · object)[]"},"max_tokens":{"oneOf":[{"title":"Max Tokens","type":"integer","description":"The maximum number of tokens that can be generated in the chat completion. The total length of input tokens and generated tokens is limited by the model's context length.","example":2048,"uniqueKey":"max_tokens.oneOf.0","typeLabel":"integer"},{"title":"Max Tokens","type":"null","description":"The maximum number of tokens that can be generated in the chat completion. The total length of input tokens and generated tokens is limited by the model's context length.","example":2048,"uniqueKey":"max_tokens.oneOf.1","typeLabel":"null"}],"uniqueKey":"max_tokens","typeLabel":"integer | null"},"max_completion_tokens":{"oneOf":[{"title":"Max Completion Tokens","type":"integer","description":"The maximum number of tokens that can be generated in the chat completion. The total length of input tokens and generated tokens is limited by the model's context length.","example":2048,"uniqueKey":"max_completion_tokens.oneOf.0","typeLabel":"integer"},{"title":"Max Completion Tokens","type":"null","description":"The maximum number of tokens that can be generated in the chat completion. The total length of input tokens and generated tokens is limited by the model's context length.","example":2048,"uniqueKey":"max_completion_tokens.oneOf.1","typeLabel":"null"}],"uniqueKey":"max_completion_tokens","typeLabel":"integer | null"},"temperature":{"oneOf":[{"title":"Temperature","type":"number","description":"What sampling temperature to use, determines the degree of randomness in the response. between 0 and 2, Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic. Is recommended altering this, top_p or top_k but not more than one of these.","minimum":0,"maximum":2,"default":0.7,"example":0.7,"uniqueKey":"temperature.oneOf.0","typeLabel":"number"},{"title":"Temperature","type":"null","description":"What sampling temperature to use, determines the degree of randomness in the response. between 0 and 2, Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic. Is recommended altering this, top_p or top_k but not more than one of these.","minimum":0,"maximum":2,"default":0.7,"example":0.7,"uniqueKey":"temperature.oneOf.1","typeLabel":"null"}],"uniqueKey":"temperature","typeLabel":"number | null"},"top_p":{"oneOf":[{"title":"Top P","type":"number","description":"Cumulative probability for token choices. An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered. Is recommended altering this, top_k or temperature but not more than one of these.","minimum":0,"maximum":1,"example":1,"uniqueKey":"top_p.oneOf.0","typeLabel":"number"},{"title":"Top P","type":"null","description":"Cumulative probability for token choices. An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered. Is recommended altering this, top_k or temperature but not more than one of these.","minimum":0,"maximum":1,"example":1,"uniqueKey":"top_p.oneOf.1","typeLabel":"null"}],"uniqueKey":"top_p","typeLabel":"number | null"},"top_k":{"oneOf":[{"title":"Top K","type":"integer","description":"Amount limit of token choices. An alternative to sampling with temperature, the model considers the results of the first K tokens with higher probability. So 10 means only the first 10 tokens with higher probability are considered. Is recommended altering this, top_p or temperature but not more than one of these.","minimum":1,"maximum":100,"example":5,"uniqueKey":"top_k.oneOf.0","typeLabel":"integer"},{"title":"Top K","type":"null","description":"Amount limit of token choices. An alternative to sampling with temperature, the model considers the results of the first K tokens with higher probability. So 10 means only the first 10 tokens with higher probability are considered. Is recommended altering this, top_p or temperature but not more than one of these.","minimum":1,"maximum":100,"example":5,"uniqueKey":"top_k.oneOf.1","typeLabel":"null"}],"uniqueKey":"top_k","typeLabel":"integer | null"},"presence_penalty":{"oneOf":[{"title":"Presence Penalty","type":"number","description":"Number between -2.0 and 2.0. Positive values penalize new tokens based on whether they appear in the text so far, increasing the model's likelihood to talk about new topics. Not currently implemented; accepted for API compatibility","maximum":2,"minimum":-2,"default":0,"uniqueKey":"presence_penalty.oneOf.0","typeLabel":"number"},{"title":"Presence Penalty","type":"null","description":"Number between -2.0 and 2.0. Positive values penalize new tokens based on whether they appear in the text so far, increasing the model's likelihood to talk about new topics. Not currently implemented; accepted for API compatibility","maximum":2,"minimum":-2,"default":0,"uniqueKey":"presence_penalty.oneOf.1","typeLabel":"null"}],"uniqueKey":"presence_penalty","typeLabel":"number | null"},"frequency_penalty":{"title":"Frequency Penalty","type":"number","description":"Number between -2.0 and 2.0. Positive values penalize new tokens based on their existing frequency in the text so far, decreasing the model's likelihood to repeat the same line verbatim. Not currently implemented; accepted for API compatibility","maximum":2,"minimum":-2,"default":0,"uniqueKey":"frequency_penalty","typeLabel":"number"},"repetition_penalty":{"oneOf":[{"title":"Repetition Penalty","type":"number","description":"Penalizes repeated tokens. A value of 1.0 applies no penalty; values above 1.0 discourage repetition. Only supported for some models (currently MiniMax and gpt-oss models); silently ignored on models that do not support it.","maximum":2,"minimum":1,"uniqueKey":"repetition_penalty.oneOf.0","typeLabel":"number"},{"title":"Repetition Penalty","type":"null","description":"Penalizes repeated tokens. A value of 1.0 applies no penalty; values above 1.0 discourage repetition. Only supported for some models (currently MiniMax and gpt-oss models); silently ignored on models that do not support it.","maximum":2,"minimum":1,"uniqueKey":"repetition_penalty.oneOf.1","typeLabel":"null"}],"uniqueKey":"repetition_penalty","typeLabel":"number | null"},"stop":{"oneOf":[{"type":"string","title":"Stop","description":"Sequences where the API will stop generating tokens. The returned text will not contain the stop sequence.","example":"\n","uniqueKey":"stop.oneOf.0","typeLabel":"string"},{"type":"null","title":"Stop","description":"Sequences where the API will stop generating tokens. The returned text will not contain the stop sequence.","example":"\n","uniqueKey":"stop.oneOf.1","typeLabel":"null"},{"type":"array","items":{"type":"string","example":"[\"\\n\"]","uniqueKey":"stop.oneOf.2.items.[INDEX]","typeLabel":"string"},"title":"Stop","description":"Sequences where the API will stop generating tokens. The returned text will not contain the stop sequence.","uniqueKey":"stop.oneOf.2","typeLabel":"string[]"},{"type":"null","uniqueKey":"stop.oneOf.3","typeLabel":"null"}],"uniqueKey":"stop","typeLabel":"string · null · string[] · null"},"stream":{"oneOf":[{"title":"Stream","type":"boolean","description":"If set, partial message deltas will be sent. Tokens will be sent as data-only [server-sent events](https://developer.mozilla.org/en-US/docs/Web/API/Server-sent_events/Using_server-sent_events#Event_stream_format) as they become available, with the stream terminated by a `data: [DONE]` message.","default":false,"uniqueKey":"stream.oneOf.0","typeLabel":"boolean"},{"title":"Stream","type":"null","description":"If set, partial message deltas will be sent. Tokens will be sent as data-only [server-sent events](https://developer.mozilla.org/en-US/docs/Web/API/Server-sent_events/Using_server-sent_events#Event_stream_format) as they become available, with the stream terminated by a `data: [DONE]` message.","default":false,"uniqueKey":"stream.oneOf.1","typeLabel":"null"}],"uniqueKey":"stream","typeLabel":"boolean | null"},"stream_options":{"oneOf":[{"title":"StreamOptions","type":"object","description":"Options for streaming response. Only set this when setting stream as true","additionalProperties":true,"properties":{"include_usage":{"oneOf":[{"type":"boolean","title":"Include Usage","description":"Whether to include the usage metrics in a final chunk or not","uniqueKey":"stream_options.oneOf.0.include_usage.oneOf.0","typeLabel":"boolean"},{"type":"null","uniqueKey":"stream_options.oneOf.0.include_usage.oneOf.1","typeLabel":"null"}],"uniqueKey":"stream_options.oneOf.0.include_usage","typeLabel":"boolean | null"}},"uniqueKey":"stream_options.oneOf.0","typeLabel":"StreamOptions · object"},{"title":"StreamOptions","type":"null","description":"Options for streaming response. Only set this when setting stream as true","additionalProperties":true,"properties":{"include_usage":{"oneOf":[{"type":"boolean","title":"Include Usage","description":"Whether to include the usage metrics in a final chunk or not"},{"type":"null"}]}},"uniqueKey":"stream_options.oneOf.1","typeLabel":"null"}],"uniqueKey":"stream_options","typeLabel":"StreamOptions · object | null"},"response_format":{"oneOf":[{"type":"object","title":"ResponseFormatJSONSchema","description":"Specifies that the model should produce output conforming to a given JSON schema.","required":["json_schema","type"],"example":{"type":"json_schema","json_schema":{"name":"User","description":"JSON schema for a simple user object","strict":false,"schema":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier for the user"},"name":{"type":"string","description":"Full name of the user"}},"required":["id","name"]}}},"properties":{"json_schema":{"title":"JSONSchema","type":"object","additionalProperties":true,"description":"A JSON Schema definition the model's structured output. Follows standard JSON Schema syntax.","properties":{"name":{"title":"Name","type":"string","description":"name of the object schema","isRequired":true,"uniqueKey":"response_format.oneOf.0.json_schema.name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","title":"Description","description":"description the json schema","uniqueKey":"response_format.oneOf.0.json_schema.description.oneOf.0","typeLabel":"string"},{"type":"null","title":"Description","description":"description the json schema","uniqueKey":"response_format.oneOf.0.json_schema.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"response_format.oneOf.0.json_schema.description","typeLabel":"string | null"},"schema":{"oneOf":[{"type":"object","title":"Schema","description":"Actual json schema object","uniqueKey":"response_format.oneOf.0.json_schema.schema.oneOf.0","typeLabel":"Schema · object"},{"type":"null","title":"Schema","description":"Actual json schema object","uniqueKey":"response_format.oneOf.0.json_schema.schema.oneOf.1","typeLabel":"null"}],"uniqueKey":"response_format.oneOf.0.json_schema.schema","typeLabel":"Schema · object | null"},"strict":{"oneOf":[{"type":"boolean","title":"Strict","description":"whether or not to do an strict validation of the schema","default":false,"uniqueKey":"response_format.oneOf.0.json_schema.strict.oneOf.0","typeLabel":"boolean"},{"type":"null","title":"Strict","description":"whether or not to do an strict validation of the schema","default":false,"uniqueKey":"response_format.oneOf.0.json_schema.strict.oneOf.1","typeLabel":"null"}],"uniqueKey":"response_format.oneOf.0.json_schema.strict","typeLabel":"boolean | null"}},"required":["name"],"isRequired":true,"uniqueKey":"response_format.oneOf.0.json_schema","typeLabel":"JSONSchema · object"},"type":{"const":"json_schema","enum":["json_schema"],"title":"Type","type":"string","isRequired":true,"uniqueKey":"response_format.oneOf.0.type","typeLabel":"enum\u003cstring>"}},"additionalProperties":true,"uniqueKey":"response_format.oneOf.0","typeLabel":"ResponseFormatJSONSchema · object"},{"type":"object","title":"ResponseFormatJSONObject","description":"Specifies that the model should produce output as a raw JSON object.","required":["type"],"example":{"type":"json_object"},"properties":{"type":{"const":"json_object","enum":["json_object"],"title":"Type","type":"string","isRequired":true,"uniqueKey":"response_format.oneOf.1.type","typeLabel":"enum\u003cstring>"}},"additionalProperties":true,"uniqueKey":"response_format.oneOf.1","typeLabel":"ResponseFormatJSONObject · object"},{"type":"object","title":"ResponseFormatText","description":"Specifies that the model should produce output as plain text. This value is not supported yet in the chat compeltions api, if this behavior is desired do not set response format.","required":["type"],"properties":{"type":{"const":"text","enum":["text"],"title":"Type","type":"string","isRequired":true,"uniqueKey":"response_format.oneOf.2.type","typeLabel":"enum\u003cstring>"}},"additionalProperties":true,"uniqueKey":"response_format.oneOf.2","typeLabel":"ResponseFormatText · object"},{"type":"null","uniqueKey":"response_format.oneOf.3","typeLabel":"null"}],"uniqueKey":"response_format","typeLabel":"ResponseFormatJSONSchema · object | ResponseFormatJSONObject · object | ResponseFormatText · object | null"},"reasoning_effort":{"oneOf":[{"title":"Reasoning Effort","type":"string","description":"Value specifying the amount of reasoning the model is allowed to do, increasing it will increase the number of output reasoning tokens generated by the model, but will improve quality of the responses. allowed values are 'low', 'medium', 'high'","enum":["low","medium","high"],"uniqueKey":"reasoning_effort.oneOf.0","typeLabel":"enum\u003cstring>"},{"title":"Reasoning Effort","type":"null","description":"Value specifying the amount of reasoning the model is allowed to do, increasing it will increase the number of output reasoning tokens generated by the model, but will improve quality of the responses. allowed values are 'low', 'medium', 'high'","enum":["low","medium","high"],"uniqueKey":"reasoning_effort.oneOf.1","typeLabel":"null"}],"uniqueKey":"reasoning_effort","typeLabel":"enum\u003cstring> | null"},"tool_choice":{"oneOf":[{"type":"string","title":"Tool Choice","description":"Controls which (if any) tool is called by the model. `none` means the model will not call any tool and instead generates a message. `auto` means the model can pick between generating a message or calling one or more tools. `required` means the model must call one or more tools. Specifying a particular tool via `{\"type\": \"function\", \"function\": {\"name\": \"my_function\"}}` forces the model to call that tool.","enum":["none","auto","required"],"uniqueKey":"tool_choice.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"object","title":"ToolChoiceObject","description":"Controls which (if any) tool is called by the model. `none` means the model will not call any tool and instead generates a message. `auto` means the model can pick between generating a message or calling one or more tools. `required` means the model must call one or more tools. Specifying a particular tool via `{\"type\": \"function\", \"function\": {\"name\": \"my_function\"}}` forces the model to call that tool.","required":["function","type"],"properties":{"function":{"title":"Function","type":"object","description":"Specifies a tool the model should use. Use it to force the model to call that specific tool.","additionalProperties":true,"properties":{"name":{"title":"Name","type":"string","description":"the name of the tool expected to be used by the model","isRequired":true,"uniqueKey":"tool_choice.oneOf.1.function.name","typeLabel":"string"}},"required":["name"],"isRequired":true,"uniqueKey":"tool_choice.oneOf.1.function","typeLabel":"Function · object"},"type":{"type":"string","description":"The type of the tool. only `function` is supported.","enum":["function"],"isRequired":true,"uniqueKey":"tool_choice.oneOf.1.type","typeLabel":"enum\u003cstring>"}},"additionalProperties":true,"uniqueKey":"tool_choice.oneOf.1","typeLabel":"ToolChoiceObject · object"},{"type":"null","uniqueKey":"tool_choice.oneOf.2","typeLabel":"null"}],"uniqueKey":"tool_choice","typeLabel":"enum\u003cstring> | ToolChoiceObject · object | null"},"parallel_tool_calls":{"oneOf":[{"title":"Parallel Tool Calls","type":"boolean","description":"Whether to enable parallel function calling during tool use.","uniqueKey":"parallel_tool_calls.oneOf.0","typeLabel":"boolean"},{"title":"Parallel Tool Calls","type":"null","description":"Whether to enable parallel function calling during tool use.","uniqueKey":"parallel_tool_calls.oneOf.1","typeLabel":"null"}],"uniqueKey":"parallel_tool_calls","typeLabel":"boolean | null"},"tools":{"oneOf":[{"title":"tools","type":"array","description":"A list of tools the model may call. Use this to provide a list of functions the model may generate JSON inputs for.","items":{"title":"Tool","type":"object","additionalProperties":true,"properties":{"function":{"title":"Function Object","additionalProperties":true,"type":"object","properties":{"name":{"title":"Name","type":"string","description":"The name of the function to be called. Must be a-z, A-Z, 0-9, or contain underscores and dashes.","isRequired":true,"uniqueKey":"tools.oneOf.0.items.[INDEX].function.name","typeLabel":"string"},"description":{"oneOf":[{"title":"Description","type":"string","description":"A description of what the function does, used by the model to choose when and how to call the function.","uniqueKey":"tools.oneOf.0.items.[INDEX].function.description.oneOf.0","typeLabel":"string"},{"title":"Description","type":"null","description":"A description of what the function does, used by the model to choose when and how to call the function.","uniqueKey":"tools.oneOf.0.items.[INDEX].function.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"tools.oneOf.0.items.[INDEX].function.description","typeLabel":"string | null"},"parameters":{"title":"Function Parameters","type":"object","additionalProperties":true,"description":"The parameters the functions accepts, described as a JSON Schema object. see the [JSON Schema reference](https://json-schema.org/understanding-json-schema/) for documentation about the format. Omitting `parameters` defines a function with an empty parameter list.","uniqueKey":"tools.oneOf.0.items.[INDEX].function.parameters","typeLabel":"Function Parameters · object"}},"required":["name"],"isRequired":true,"uniqueKey":"tools.oneOf.0.items.[INDEX].function","typeLabel":"Function Object · object"},"type":{"title":"Type","type":"string","description":"The type of the tool. Currently, only `function` is supported.","isRequired":true,"uniqueKey":"tools.oneOf.0.items.[INDEX].type","typeLabel":"string"}},"required":["type","function"],"uniqueKey":"tools.oneOf.0.items.[INDEX]","typeLabel":"Tool · object"},"maxItems":128,"uniqueKey":"tools.oneOf.0","typeLabel":"Tool · object[]"},{"title":"tools","type":"null","description":"A list of tools the model may call. Use this to provide a list of functions the model may generate JSON inputs for.","items":{"title":"Tool","type":"object","additionalProperties":true,"properties":{"function":{"title":"Function Object","additionalProperties":true,"type":"object","properties":{"name":{"title":"Name","type":"string","description":"The name of the function to be called. Must be a-z, A-Z, 0-9, or contain underscores and dashes."},"description":{"oneOf":[{"title":"Description","type":"string","description":"A description of what the function does, used by the model to choose when and how to call the function."},{"title":"Description","type":"null","description":"A description of what the function does, used by the model to choose when and how to call the function."}]},"parameters":{"title":"Function Parameters","type":"object","additionalProperties":true,"description":"The parameters the functions accepts, described as a JSON Schema object. see the [JSON Schema reference](https://json-schema.org/understanding-json-schema/) for documentation about the format. Omitting `parameters` defines a function with an empty parameter list."}},"required":["name"]},"type":{"title":"Type","type":"string","description":"The type of the tool. Currently, only `function` is supported."}},"required":["type","function"]},"maxItems":128,"uniqueKey":"tools.oneOf.1","typeLabel":"null"}],"uniqueKey":"tools","typeLabel":"Tool · object[] | null"},"chat_template_kwargs":{"oneOf":[{"title":"Chat Template Kwargs","type":"object","description":"A dictionary of additional keyword arguments to pass into the chat template. Use this to provide extra context or parameters that the model's chat template can process. Keys must be strings; values may be any valid JSON type.","properties":{"enable_thinking":{"title":"Enable Thinking","type":"boolean","description":"Enables the model's internal reasoning or \"thinking\" mode, if supported by the chat template (deepseek models).","example":true,"uniqueKey":"chat_template_kwargs.oneOf.0.enable_thinking","typeLabel":"boolean"}},"additionalProperties":true,"example":{"enable_thinking":true},"uniqueKey":"chat_template_kwargs.oneOf.0","typeLabel":"Chat Template Kwargs · object"},{"title":"Chat Template Kwargs","type":"null","description":"A dictionary of additional keyword arguments to pass into the chat template. Use this to provide extra context or parameters that the model's chat template can process. Keys must be strings; values may be any valid JSON type.","properties":{"enable_thinking":{"title":"Enable Thinking","type":"boolean","description":"Enables the model's internal reasoning or \"thinking\" mode, if supported by the chat template (deepseek models).","example":true}},"additionalProperties":true,"example":{"enable_thinking":true},"uniqueKey":"chat_template_kwargs.oneOf.1","typeLabel":"null"}],"uniqueKey":"chat_template_kwargs","typeLabel":"Chat Template Kwargs · object | null"},"logprobs":{"oneOf":[{"title":"Logprobs","type":"boolean","description":"Whether to return log probabilities of the output tokens or not. If true, returns the log probabilities of each output token returned in the `content` of `message`.","default":false,"uniqueKey":"logprobs.oneOf.0","typeLabel":"boolean"},{"title":"Logprobs","type":"null","description":"Whether to return log probabilities of the output tokens or not. If true, returns the log probabilities of each output token returned in the `content` of `message`.","default":false,"uniqueKey":"logprobs.oneOf.1","typeLabel":"null"}],"uniqueKey":"logprobs","typeLabel":"boolean | null"},"top_logprobs":{"oneOf":[{"title":"Top Logprobs","type":"integer","description":"An integer between 0 and 20 specifying the number of most likely tokens to return at each token position, each with an associated log probability. `logprobs` must be set to `true` if this parameter is used.","maximum":20,"minimum":0,"uniqueKey":"top_logprobs.oneOf.0","typeLabel":"integer"},{"title":"Top Logprobs","type":"null","description":"An integer between 0 and 20 specifying the number of most likely tokens to return at each token position, each with an associated log probability. `logprobs` must be set to `true` if this parameter is used.","maximum":20,"minimum":0,"uniqueKey":"top_logprobs.oneOf.1","typeLabel":"null"}],"uniqueKey":"top_logprobs","typeLabel":"integer | null"},"n":{"oneOf":[{"title":"N","type":"integer","description":"How many completions to generate for each prompt.\n**Note:** Because this parameter generates many completions, it can quickly consume your token quota. Use carefully and ensure that you have reasonable settings for `max_tokens`.","maximum":8,"minimum":1,"default":1,"example":1,"uniqueKey":"n.oneOf.0","typeLabel":"integer"},{"title":"N","type":"null","description":"How many completions to generate for each prompt.\n**Note:** Because this parameter generates many completions, it can quickly consume your token quota. Use carefully and ensure that you have reasonable settings for `max_tokens`.","maximum":8,"minimum":1,"default":1,"example":1,"uniqueKey":"n.oneOf.1","typeLabel":"null"}],"uniqueKey":"n","typeLabel":"integer | null"},"logit_bias":{"oneOf":[{"title":"Logit Bias","type":"object","description":"Modify the likelihood of specified tokens appearing in the generation. Accepts a JSON object that maps tokens (specified by their token ID in the model tokenizer) to an associated bias value from -100 to 100. Mathematically, the bias is added to the logits generated by the model prior to sampling. Values between -1 and 1 should decrease or increase likelihood of selection; values like -100 or 100 should result in a ban or exclusive selection of the relevant token.","uniqueKey":"logit_bias.oneOf.0","typeLabel":"Logit Bias · object"},{"title":"Logit Bias","type":"null","description":"Modify the likelihood of specified tokens appearing in the generation. Accepts a JSON object that maps tokens (specified by their token ID in the model tokenizer) to an associated bias value from -100 to 100. Mathematically, the bias is added to the logits generated by the model prior to sampling. Values between -1 and 1 should decrease or increase likelihood of selection; values like -100 or 100 should result in a ban or exclusive selection of the relevant token.","uniqueKey":"logit_bias.oneOf.1","typeLabel":"null"}],"uniqueKey":"logit_bias","typeLabel":"Logit Bias · object | null"},"seed":{"oneOf":[{"title":"Seed","description":"If specified, our system will make a best effort to sample deterministically, such that repeated requests with the same `seed` and parameters should return the same result.\nDeterminism is not guaranteed, and you should refer to the `system_fingerprint` response parameter to monitor changes in the backend.","type":"integer","uniqueKey":"seed.oneOf.0","typeLabel":"integer"},{"title":"Seed","description":"If specified, our system will make a best effort to sample deterministically, such that repeated requests with the same `seed` and parameters should return the same result.\nDeterminism is not guaranteed, and you should refer to the `system_fingerprint` response parameter to monitor changes in the backend.","type":"null","uniqueKey":"seed.oneOf.1","typeLabel":"null"}],"uniqueKey":"seed","typeLabel":"integer | null"}},"required":["model","messages"],"examples":[{"messages":[{"role":"user","content":"create a poem using palindromes"}],"model":"gpt-oss-120b"},{"messages":[{"role":"system","content":"You are a helpful assistant developed by SambaNova systems"},{"role":"user","content":"create a poem using palindromes"}],"max_tokens":2048,"model":"gpt-oss-120b","stream":false,"temperature":0.7,"top_p":1}],"uniqueKey":"","typeLabel":"Chat Completion Request · object"},"examples":{"Example":{"title":"Example","value":{"messages":[{"role":"user","content":"create a poem using palindromes"}],"model":"gpt-oss-120b"}}},"exampleType":"generated"}},"description":"Chat prompt and parameters","required":true,"exampleType":"generated"},"responses":{"0cb14971-3628-4f79-b895-66e19701c56f":{"description":"Successful Response, Returns a ChatCompletionResponse object (non-streaming), or a stream of server-sent ChatCompletionStreamResponse object events ending with a response.completed event (when stream: true).","content":{"application/json":{"schema":{"oneOf":[{"type":"object","title":"Chat Completion Response","description":"chat completion response returned by the model","required":["choices","created","id","model","object","system_fingerprint","usage"],"example":{"choices":[{"finish_reason":"stop","index":0,"message":{"content":"In madam moon's silver glow, Aha, a palindrome to know, Radar spins, a circular tale, Level heads prevail, without fail. A man, a plan, a canal, Panama! Able was I ere I saw Elba, A Santa at NASA, a curious sight, Do geese see God, in the pale moonlight? Mr. Owl ate my metal worm, Do nine men interpret? Nine men, I nod, Never odd or even, a palindrome's might, Madam, in Eden, I'm Adam. Aibohphobia, a fear to confess, A palindrome's symmetry, I must address, Refer, a word that reads the same, A palindrome's beauty, in its circular game. In the stillness of the night, Ava, a palindrome, shining bright, Hannah, a name that reads the same, A palindrome's magic, in its circular flame. Note: Please keep in mind that creating a poem using palindromes can be a challenging task, and the resulting poem may not be as cohesive or flowing as one that doesn't rely on palindromes. However, I hope you enjoy the attempt!","role":"assistant"}}],"created":1737583288.6076705,"id":"83a7809d-e18f-44f9-9ab7-2bc494c6c661","model":"gpt-oss-120b","object":"chat.completion","system_fingerprint":"fastcoe","usage":{"acceptance_rate":4.058139324188232,"completion_tokens":350,"completion_tokens_after_first_per_sec":248.09314856382406,"completion_tokens_after_first_per_sec_first_ten":249.67922929952655,"completion_tokens_per_sec":238.91966176995348,"end_time":1737583289.7345645,"is_last_response":true,"prompt_tokens":43,"start_time":1737583288.264706,"time_to_first_token":0.06312894821166992,"total_latency":1.4649275719174653,"total_tokens":393,"total_tokens_per_sec":268.27264878740493}},"properties":{"choices":{"title":"Choices","type":"array","items":{"title":"Chat Completion Choice","type":"object","additionalProperties":true,"properties":{"message":{"title":"Completion Response Message","type":"object","description":"completion response message object","additionalProperties":true,"properties":{"role":{"title":"Role","type":"string","description":"The role of the messages author","enum":["assistant","user","system","tool"],"isRequired":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].message.role","typeLabel":"enum\u003cstring>"},"content":{"oneOf":[{"title":"Content","type":"string","description":"The contents of the assistant message.","isRequired":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].message.content.oneOf.0","typeLabel":"string"},{"title":"Content","type":"null","description":"The contents of the assistant message.","isRequired":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].message.content.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].message.content","typeLabel":"string | null"},"tool_calls":{"oneOf":[{"title":"Tool Calls","type":"array","items":{"title":"AssistantToolCall","type":"object","additionalProperties":true,"properties":{"function":{"title":"AssistantToolCallFunction","type":"object","description":"The tool that the model called.","additionalProperties":true,"properties":{"name":{"oneOf":[{"title":"Name","type":"string","description":"The name of the function to call.","uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].function.name.oneOf.0","typeLabel":"string"},{"title":"Name","type":"null","description":"The name of the function to call.","uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].function.name.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].function.name","typeLabel":"string | null"},"arguments":{"oneOf":[{"title":"Arguments","type":"string","description":"The arguments to call the function with, as generated by the model in JSON format. Note that the model does not always generate valid JSON, and may hallucinate parameters not defined by your function schema. Validate the arguments in your code before calling your function.","uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].function.arguments.oneOf.0","typeLabel":"string"},{"title":"Arguments","type":"null","description":"The arguments to call the function with, as generated by the model in JSON format. Note that the model does not always generate valid JSON, and may hallucinate parameters not defined by your function schema. Validate the arguments in your code before calling your function.","uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].function.arguments.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].function.arguments","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].function","typeLabel":"AssistantToolCallFunction · object"},"id":{"oneOf":[{"title":"Id","type":"string","description":"ID of the tool call.","uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].id.oneOf.0","typeLabel":"string"},{"title":"Id","type":"null","description":"ID of the tool call.","uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].id.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].id","typeLabel":"string | null"},"type":{"oneOf":[{"title":"Type","type":"string","description":"type of the tool cal. only `function` is supported.","enum":["function"],"const":"function","uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].type.oneOf.0","typeLabel":"enum\u003cstring>"},{"title":"Type","type":"null","description":"type of the tool cal. only `function` is supported.","enum":["function"],"const":"function","uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].type.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].type","typeLabel":"enum\u003cstring> | null"},"index":{"oneOf":[{"title":"index","description":"index of tool call chunk only used when using streaming","type":"integer","uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].index.oneOf.0","typeLabel":"integer"},{"title":"index","description":"index of tool call chunk only used when using streaming","type":"null","uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].index.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].index","typeLabel":"integer | null"}},"required":["function"],"uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX]","typeLabel":"AssistantToolCall · object"},"description":"The tool calls generated by the model.","uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0","typeLabel":"AssistantToolCall · object[]"},{"title":"Tool Calls","type":"null","items":{"title":"AssistantToolCall","type":"object","additionalProperties":true,"properties":{"function":{"title":"AssistantToolCallFunction","type":"object","description":"The tool that the model called.","additionalProperties":true,"properties":{"name":{"oneOf":[{"title":"Name","type":"string","description":"The name of the function to call."},{"title":"Name","type":"null","description":"The name of the function to call."}]},"arguments":{"oneOf":[{"title":"Arguments","type":"string","description":"The arguments to call the function with, as generated by the model in JSON format. Note that the model does not always generate valid JSON, and may hallucinate parameters not defined by your function schema. Validate the arguments in your code before calling your function."},{"title":"Arguments","type":"null","description":"The arguments to call the function with, as generated by the model in JSON format. Note that the model does not always generate valid JSON, and may hallucinate parameters not defined by your function schema. Validate the arguments in your code before calling your function."}]}}},"id":{"oneOf":[{"title":"Id","type":"string","description":"ID of the tool call."},{"title":"Id","type":"null","description":"ID of the tool call."}]},"type":{"oneOf":[{"title":"Type","type":"string","description":"type of the tool cal. only `function` is supported.","enum":["function"],"const":"function"},{"title":"Type","type":"null","description":"type of the tool cal. only `function` is supported.","enum":["function"],"const":"function"}]},"index":{"oneOf":[{"title":"index","description":"index of tool call chunk only used when using streaming","type":"integer"},{"title":"index","description":"index of tool call chunk only used when using streaming","type":"null"}]}},"required":["function"]},"description":"The tool calls generated by the model.","uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls","typeLabel":"AssistantToolCall · object[] | null"}},"required":["role","content"],"isRequired":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].message","typeLabel":"Completion Response Message · object"},"finish_reason":{"title":"Finish Reason","type":"string","description":"The reason the model stopped generating tokens. Will be `stop` if the model hit a natural stop point or a provided stop sequence, `length` if the maximum number of tokens specified in the request was reached, `tool_calls` if the model called a tool.","enum":["stop","length","tool_calls"],"isRequired":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].finish_reason","typeLabel":"enum\u003cstring>"},"index":{"title":"Index","type":"integer","description":"The index of the choice in the list of choices","isRequired":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].index","typeLabel":"integer"},"logprobs":{"oneOf":[{"type":"object","title":"Logprobs","description":"Returns the log probability of each generated token, indicating the model's confidence. Setting logprobs=true and top_logprobs (up to 5) reveals the likelihood of chosen tokens","required":["content"],"example":{"content":[{"token":" Hello","logprob":-0.00012340000000000002,"bytes":[32,72,101,108,108,111],"top_logprobs":[{"token":" Hello","logprob":-0.00012340000000000002,"bytes":[32,72,101,108,108,111]},{"token":" Hi","logprob":-8.243,"bytes":[32,72,105]}]},{"token":"!","logprob":-0.0023456,"bytes":[33],"top_logprobs":[{"token":"!","logprob":-0.0023456,"bytes":[33]},{"token":",","logprob":-6.712,"bytes":[44]}]}]},"properties":{"content":{"title":"Log Probs Content","additionalProperties":true,"properties":{"logprob":{"title":"Logprob","type":"number","isRequired":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0.content.logprob","typeLabel":"number"},"token":{"title":"Token","type":"string","isRequired":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0.content.token","typeLabel":"string"},"top_logprobs":{"title":"TopLogProbs","type":"object","additionalProperties":true,"properties":{"logprob":{"title":"Logprob","type":"number","isRequired":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0.content.top_logprobs.logprob","typeLabel":"number"},"token":{"title":"Token","type":"string","isRequired":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0.content.top_logprobs.token","typeLabel":"string"},"bytes":{"oneOf":[{"type":"array","items":{"type":"integer","uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0.content.top_logprobs.bytes.oneOf.0.items.[INDEX]","typeLabel":"integer"},"title":"Bytes","uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0.content.top_logprobs.bytes.oneOf.0","typeLabel":"integer[]"},{"type":"null","title":"Bytes","uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0.content.top_logprobs.bytes.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0.content.top_logprobs.bytes","typeLabel":"integer[] | null"}},"required":["token","logprob"],"examples":[{"token":" Hello","logprob":-0.00012340000000000002,"bytes":[32,72,101,108,108,111]},{"token":" Hi","logprob":-8.243,"bytes":[32,72,105]}],"isRequired":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0.content.top_logprobs","typeLabel":"TopLogProbs · object"},"bytes":{"oneOf":[{"type":"array","items":{"type":"integer","uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0.content.bytes.oneOf.0.items.[INDEX]","typeLabel":"integer"},"title":"Bytes","uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0.content.bytes.oneOf.0","typeLabel":"integer[]"},{"type":"null","uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0.content.bytes.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0.content.bytes","typeLabel":"integer[] | null"}},"required":["token","logprob","top_logprobs"],"examples":[{"token":" Hello","logprob":-0.00012340000000000002,"bytes":[32,72,101,108,108,111],"top_logprobs":[{"token":" Hello","logprob":-0.00012340000000000002,"bytes":[32,72,101,108,108,111]},{"token":" Hi","logprob":-8.243,"bytes":[32,72,105]}]}],"type":"object","isRequired":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0.content","typeLabel":"Log Probs Content · object"}},"additionalProperties":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0","typeLabel":"Logprobs · object"},{"type":"null","uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs","typeLabel":"Logprobs · object | null"}},"required":["finish_reason","index","message"],"uniqueKey":"oneOf.0.choices.items.[INDEX]","typeLabel":"Chat Completion Choice · object"},"minItems":1,"isRequired":true,"uniqueKey":"oneOf.0.choices","typeLabel":"Chat Completion Choice · object[]"},"created":{"title":"Created","type":"number","description":"The Unix timestamp (in seconds) of when the chat completion was created.","isRequired":true,"uniqueKey":"oneOf.0.created","typeLabel":"number"},"id":{"title":"Id","type":"string","description":"A unique identifier for the chat completion.","isRequired":true,"uniqueKey":"oneOf.0.id","typeLabel":"string"},"model":{"title":"Model","description":"The model used for the chat completion.","type":"string","isRequired":true,"uniqueKey":"oneOf.0.model","typeLabel":"string"},"object":{"title":"Object","type":"string","description":"The object type, always `chat.completion`.","enum":["chat.completion"],"const":"chat.completion","isRequired":true,"uniqueKey":"oneOf.0.object","typeLabel":"enum\u003cstring>"},"system_fingerprint":{"title":"System fingerprint","type":"string","description":"Backend configuration that the model runs with.","isRequired":true,"uniqueKey":"oneOf.0.system_fingerprint","typeLabel":"string"},"usage":{"oneOf":[{"title":"Usage","type":"object","description":"Usage metrics for the completion, embeddings,transcription or translation request","additionalProperties":true,"properties":{"acceptance_rate":{"title":"Acceptance Rate","type":"number","description":"acceptance rate","uniqueKey":"oneOf.0.usage.oneOf.0.acceptance_rate","typeLabel":"number"},"completion_tokens":{"title":"Completion Tokens","type":"integer","description":"number of tokens generated in completion","uniqueKey":"oneOf.0.usage.oneOf.0.completion_tokens","typeLabel":"integer"},"completion_tokens_after_first_per_sec":{"title":"Completion Tokens After First Per Sec","type":"number","description":"completion tokens per second after first token generation","uniqueKey":"oneOf.0.usage.oneOf.0.completion_tokens_after_first_per_sec","typeLabel":"number"},"completion_tokens_after_first_per_sec_first_ten":{"title":"Completion Tokens After First Per Sec First Ten","type":"number","description":"completion tokens per second after first token generation first ten","uniqueKey":"oneOf.0.usage.oneOf.0.completion_tokens_after_first_per_sec_first_ten","typeLabel":"number"},"completion_tokens_after_first_per_sec_graph":{"title":"Completion Tokens After First Per Sec Graph","type":"number","description":"completion tokens per second after first token generation","uniqueKey":"oneOf.0.usage.oneOf.0.completion_tokens_after_first_per_sec_graph","typeLabel":"number"},"completion_tokens_per_sec":{"title":"Completion Tokens Per Sec","type":"number","description":"completion tokens per second","uniqueKey":"oneOf.0.usage.oneOf.0.completion_tokens_per_sec","typeLabel":"number"},"end_time":{"title":"End Time","type":"number","description":"The Unix timestamp (in seconds) of when the generation finished.","uniqueKey":"oneOf.0.usage.oneOf.0.end_time","typeLabel":"number"},"is_last_response":{"title":"Is Last Response","type":"boolean","description":"whether or not is last response, always true for non streaming response","const":true,"uniqueKey":"oneOf.0.usage.oneOf.0.is_last_response","typeLabel":"boolean"},"prompt_tokens_details":{"title":"Prompt tokens details","type":"object","description":"Extra tokens details","additionalProperties":true,"properties":{"cached_tokens":{"title":"Cached tokens","description":"amount of cached tokens","type":"integer","uniqueKey":"oneOf.0.usage.oneOf.0.prompt_tokens_details.cached_tokens","typeLabel":"integer"}},"uniqueKey":"oneOf.0.usage.oneOf.0.prompt_tokens_details","typeLabel":"Prompt tokens details · object"},"prompt_tokens":{"title":"Prompt Tokens","type":"integer","description":"number of tokens used in the prompt sent","uniqueKey":"oneOf.0.usage.oneOf.0.prompt_tokens","typeLabel":"integer"},"start_time":{"title":"Start Time","type":"number","description":"The Unix timestamp (in seconds) of when the generation started.","uniqueKey":"oneOf.0.usage.oneOf.0.start_time","typeLabel":"number"},"time_to_first_token":{"title":"Time To First Token","type":"number","description":"also TTF, time (in seconds) taken to generate the first token","uniqueKey":"oneOf.0.usage.oneOf.0.time_to_first_token","typeLabel":"number"},"time_to_first_token_graph":{"title":"Time To First Token Graph","type":"number","description":"Time (in seconds) to first token, adjusted for graph rendering. May differ slightly from time_to_first_token.","uniqueKey":"oneOf.0.usage.oneOf.0.time_to_first_token_graph","typeLabel":"number"},"stop_reason":{"oneOf":[{"title":"Stop Reason","type":"string","description":"The reason generation stopped (e.g. \"stop\", \"length\"). Mirrors the choice-level finish_reason but reported at the usage level.","uniqueKey":"oneOf.0.usage.oneOf.0.stop_reason.oneOf.0","typeLabel":"string"},{"title":"Stop Reason","type":"null","description":"The reason generation stopped (e.g. \"stop\", \"length\"). Mirrors the choice-level finish_reason but reported at the usage level.","uniqueKey":"oneOf.0.usage.oneOf.0.stop_reason.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.usage.oneOf.0.stop_reason","typeLabel":"string | null"},"completion_tokens_details":{"oneOf":[{"title":"Completion Tokens Details","type":"object","description":"Breakdown of completion token consumption.","additionalProperties":true,"properties":{"reasoning_tokens":{"title":"Reasoning Tokens","type":"integer","description":"Number of tokens consumed by the model's internal reasoning process. Only present on reasoning-capable models.","uniqueKey":"oneOf.0.usage.oneOf.0.completion_tokens_details.oneOf.0.reasoning_tokens","typeLabel":"integer"}},"uniqueKey":"oneOf.0.usage.oneOf.0.completion_tokens_details.oneOf.0","typeLabel":"Completion Tokens Details · object"},{"title":"Completion Tokens Details","type":"null","description":"Breakdown of completion token consumption.","additionalProperties":true,"properties":{"reasoning_tokens":{"title":"Reasoning Tokens","type":"integer","description":"Number of tokens consumed by the model's internal reasoning process. Only present on reasoning-capable models."}},"uniqueKey":"oneOf.0.usage.oneOf.0.completion_tokens_details.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.usage.oneOf.0.completion_tokens_details","typeLabel":"Completion Tokens Details · object | null"},"total_latency":{"title":"Total Latency","type":"number","description":"total time (in seconds) taken to generate the full generation","uniqueKey":"oneOf.0.usage.oneOf.0.total_latency","typeLabel":"number"},"total_tokens":{"title":"Total Tokens","type":"integer","description":"prompt tokens + completion tokens","uniqueKey":"oneOf.0.usage.oneOf.0.total_tokens","typeLabel":"integer"},"total_tokens_per_sec":{"title":"Total Tokens Per Sec","type":"number","description":"tokens per second including prompt and completion","uniqueKey":"oneOf.0.usage.oneOf.0.total_tokens_per_sec","typeLabel":"number"}},"examples":[{"completion_tokens":260,"completion_tokens_after_first_per_sec":422.79282728043336,"completion_tokens_after_first_per_sec_first_ten":423.6108998455803,"completion_tokens_after_first_per_sec_graph":423.6108998455803,"completion_tokens_per_sec":314.53312043711406,"completion_tokens_details":{"reasoning_tokens":55},"end_time":1776189309.02061,"is_last_response":true,"prompt_tokens":90,"prompt_tokens_details":{"cached_tokens":0},"start_time":1776189308.193988,"stop_reason":"stop","time_to_first_token":0.21402883529663086,"time_to_first_token_graph":0.2102978229522705,"total_latency":0.8266220092773438,"total_tokens":350,"total_tok
[...]
